##Update

- version 1.1   April 21, 2012 - support fliping yes/no image 
- version 1.0.1 April 19, 2012 - original version

##Scenario

when you simply want to flip a status in gridview with a button - eg. prove a comment or post in your blog;

when you want add row in gridview to your favorite under your profile - eg. bookmark;

inspired by reading [this post](http://www.yiiframework.com/forum/index.php/topic/31000-how-to-make-button-like-delete-button/page__p__149250__fromsearch__1#entry149250 "this post") and [this post](http://www.yiiframework.com/forum/index.php/topic/30946-resolved-stuck-with-ajaxlink/page__p__149006__fromsearch__1#entry149006 "this post")


##Requirements

Tested under Yii 1.1.10

##Install & Usage

1) unzip XButtonColumn.php and folder /XButtonColumn/ to /protected/components/ folder
 
2) in CGridView widget: change your CButtonColumn's class name to XButtonColumn & specify properties for this new button

~~~
[php]
<?php $this->widget('zii.widgets.grid.CGridView', array(

	'id' => 'mymodel-grid',
	'dataProvider' => $model->search(),
	'columns' => array(
		'id',
		'name',
		'yesno',
		array(
			'class' => 'XButtonColumn', //<--new XButtonColumn class
			'template' => '{view}{update}{delete}{yesno}', //<-- new button {yesno}
			'yesnoAction' => 'flag', //<--name the new button
			'yesnoButtonLabel' => 'flip flag', //<--label the new button
			/* 
			* more properties {yesno} button related
			* please refer to deleteButton in CButtonColumn for usage
			*
			'yesnoButtonImageUrl' => null,
			'yesnoButtonUrl'=>null, //default to yesnoAction
			'yesnoButtonOptions=>null;
			'yesnoConfirmation'=>null, //confirmation message
			'afterYesno'=>null, 
			*/

		),
	),
)); 

?>
~~~
 
3) Add new action in your controller to response to the new button

~~~
[php]
//assuming: model => Mymodel & you have a field in db.table named 'yesno' value 0 or 1
public function actionFlag($id) {

	//simplified version, add more code here please
	$model = $this->loadModel($id, 'Mymodel');
	$model->yesno = 1 - $model->yesno;
	$model->save();
}

~~~